Name: oooqs2
Version: 1.0.1
Release: alt3.M40.1
Summary: OpenOffice.org Quickstarter 2
License: GPLv2
Group: Office
Url: http://segfaultskde.berlios.de/
Source0: http://download.berlios.de/segfaultskde/%name-%version.tar.gz
Source1: %name-ru.po
Source2: hi16-app-%name.png
Source3: hi22-app-%name.png
Source4: hi32-app-%name.png
Source5: hi64-app-%name.png
Source6: hi128-app-%name.png
Patch0:	 oooqs2-icons.patch
Packager: Motsyo Gennadi <drool@altlinux.ru>

# Automatically added by buildreq on Sun Jul 01 2007 (-bi)
BuildRequires: gcc-c++ imake kdelibs-devel libXext-devel libXt-devel libjpeg-devel qt3-designer xml-utils xorg-cf-files

%description
OpenOffice.org Quickstarter 2 is a small systray applet for KDE.
The newest version is designed with compability to distribution specific versions of OpenOffice.org in mind. It again offers some settings which were removed from the former release. In addition, and that's certainly the most important part, it's finally compatible with OpenOffice.org 2.

%prep
%setup -q
cp %SOURCE1 po/ru.po
rm src/hi16-app-%name.png
rm src/hi32-app-%name.png
rm src/hi64-app-%name.png
rm src/hi128-app-%name.png
cp %SOURCE2 src/hi16-app-%name.png
cp %SOURCE3 src/hi22-app-%name.png
cp %SOURCE3 src/hi32-app-%name.png
cp %SOURCE4 src/hi64-app-%name.png
cp %SOURCE5 src/hi128-app-%name.png

%patch0 -p1

%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
export OPTFLAGS="%optflags"
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/autostart/oooqs2.desktop
%_iconsdir/*/*/apps/oooqs2.png
%_Kmenudir/oooqs2.desktop
%doc AUTHORS COPYING
%_docdir/HTML/de/%name
%_docdir/HTML/en/%name
%_docdir/HTML/it/%name

%changelog
* Sat Oct 25 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 1.0.1-alt3.M40.1
- Backports to Server 4.0
- 1.0.1

* Tue May 27 2008 Motsyo Gennadi <drool@altlinux.ru> 1.0.1-alt3
- changes by Yurkovsky Andrey (anyr@):
  + add 22x22 icon
  + icons names in mane menu corrected
  + changed native icons to Tango

* Sun Jul 01 2007 Motsyo Gennadi <drool@altlinux.ru> 1.0.1-alt2
- added russian translation by Yurkovsky Andrey <anyr at tut dot by>

* Sun Jul 01 2007 Motsyo Gennadi <drool@altlinux.ru> 1.0.1-alt1 
- build for Sisyphus

* Sat Jun 30 2007 Motsyo Gennadi <drool@altlinux.ru> 1.0.1-alt0.M40.1
- build for M40
- run buildreq -bi

* Thu Apr 05 2007 Andrey Yurkovsky <anyr@tut.by> 1.0.1-alt4.M30
- add optflags

* Sat Mar 31 2007 Andrey Yurkovsky <anyr@tut.by> 1.0.1-alt3
- add some changes to spec

* Tue Feb 27 2007 Yurkovsky Andrey <anyr@tut.by> 1.0.1-alt2
- add russian translate

* Sun Jan 21 2007 Yurkovsky Andrey <anyr@tut.by> 1.0.1-alt1
- initial build
